import { httpList } from "/@/api/purchase/porder";
import { ContentConfig } from "/@/components/PageContent";
import { renderProp } from "/@/utils/columnRenderHelper";

import { cgdStatusOptions, sendStatusOptions } from "./_options";

import { CG_ORDER_SOURCE_OPTIONS } from "/@/config/status";
import { cg_order_type_options } from "/@/utils/status";

const columns = [
  {
    label: "采购单编号",
    prop: "sequenceNo",
    width: "175px"
  },
  {
    label: "状态",
    prop: "status",
    width: 95,
    ...renderProp(cgdStatusOptions, "status")
  },
  {
    label: "状态",
    prop: "sendStatus",
    width: 95,
    ...renderProp(sendStatusOptions, "sendStatus")
  },
  {
    label: "订单来源",
    prop: "cgdSource",
    width: 95,
    ...renderProp(CG_ORDER_SOURCE_OPTIONS, "cgdSource")
  },
  {
    label: "商品来源",
    prop: "cgdType",
    width: 95,
    ...renderProp(cg_order_type_options, "cgdType")
  },
  {
    label: "商品编号",
    prop: "goodNo",
    width: "175px"
  },
  {
    label: "商品名称",
    prop: "goodName",
    width: "180px"
  },

  {
    label: "卖出方公司编号",
    prop: "supplierNo",
    width: "175px"
  },
  {
    label: "卖出方公司名称",
    prop: "supplierName",
    width: "175px"
  },
  {
    label: "销售订单编号",
    prop: "qrdCode",
    width: "160px"
  },
  {
    label: "备库单编号",
    prop: "bkCode",
    width: "160px"
  },
  {
    label: "采购员",
    prop: "ownerName",
    width: 75
  },

  {
    label: "买入方公司名称",
    prop: "companyName",
    width: "160px"
  },
  {
    label: "买入方公司编号",
    prop: "companyNo",
    width: "175px"
  },
  {
    label: "创建时间",
    prop: "addtime",
    width: 155
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购单管理",
  columns,
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
